Bug 2134 - sam/idmap_ldap.c: variables 'count' and 'rc' set but never used
Summary: sam/idmap_ldap.c: variables 'count' and 'rc' set but never used
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: winbind (show other bugs)
Version: 3.0.9
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Andrew Bartlett
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-08 08:53 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments
removes unused 'count' and 'rc' variables (1.02 KB, patch)
2005-01-30 11:54 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2004-12-08 08:53:11 UTC
cc-1552 cc: WARNING File = sam/idmap_ldap.c, Line = 127
  The variable "count" is set but never used.

        int count;
            ^

cc-1552 cc: WARNING File = sam/idmap_ldap.c, Line = 171
  The variable "rc" is set but never used.

        int rc;
            ^

Both these variables are set to the return values of functions that are immediately used in a compare.  
Either the if statement can be changed so the warning is avoided, or the variables can be removed and 
the compares can occur directly with the function.
Comment 1 Jason Mader (mail bounces back) 2005-01-30 11:54:52 UTC
Created attachment 925 [details]
removes unused 'count' and 'rc' variables
Comment 2 Gerald (Jerry) Carter 2005-02-07 15:41:34 UTC
got em.  applied.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:23:38 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.